<template>
	<section>
		<span class="ride-label">Price Per Seat</span> 

		<div class="frm-ride pad-30">
			<h5> {{ from }} <i class="fa fa-long-arrow-right"></i> {{ to }} </h5> 

			<div class="chunkypuff-openride" style="max-width:300px">
				<div class="col-md-3 text-left">
					<button @click="sub()" class="priceIcons">
						<span class="negsignpad">-</span>
					</button>
				</div>
				<div class="col-md-6">
					<h4 class="text-center" style="padding:14px 0 0 0px; font-size: 25px; margin-top:0;line-height: 15px;"> ${{ price }} </h4>
				</div>
				<div class="col-md-3 text-right">
					<button @click="add()" class="priceIcons pull-right">
						+
					</button>
				</div>
			</div>

		</div> 

		<div v-for="item, i in stopsInfo">
			<div class="frm-ride bottom-pad">

				<h5> {{ item.from }} <i class="fa fa-long-arrow-right"></i> {{ item.to }} </h5> 

				<div class="chunkypuff-openride" style="max-width:300px">
					<div class="col-md-3 text-left">
						<button @click="subFrom(i)" class="priceIcons">
							<span class="negsignpad">-</span>
						</button>
					</div>
					<div class="col-md-6">
						<h4 class="text-center" style="padding:14px 0 0 0px; font-size: 25px; margin-top:0;line-height: 15px;"> $
						<span :id="'updateFrom' + i">{{ item.price_from }}</span>
						</h4>
					</div>
					<div class="col-md-3 text-right">
						<button @click="addFrom(i)" class="priceIcons">
							+
						</button>
					</div>
				</div>
			</div> 
			<div class="frm-ride bottom-pad">
				<h5> {{ item.to }} <i class="fa fa-long-arrow-right"></i> {{ item.end }} </h5> 

				<div class="chunkypuff-openride" style="max-width:300px">
					<div class="col-md-3 text-left">
						<button @click="subTo(i)" class="priceIcons">
							<span class="negsignpad">-</span>
						</button>
					</div>
					<div class="col-md-6">
						<h4 class="text-center" style="padding:14px 0 0 0px; font-size: 25px; margin-top:0;line-height: 15px;"> $ 
							<span :id="'updateTo' + i">
							{{ item.price_to }} 
							</span>
						</h4>
					</div>
					<div class="col-md-3 text-right">
						<button @click="addTo(i)" class="priceIcons">
							+ 
						</button>
					</div>
				</div>
			</div> 
		</div> 

	</section> 
</template>

<script>
	import {IntegerPlusminus} from 'vue-integer-plusminus'
    import Loading from 'vue-loading-overlay';

	export default {
		name:'pricing',
		props:['from', 'to', 'price', 'stopsInfo'],
		components:{Loading,IntegerPlusminus},

		mounted(){
		},
		methods:{
			add(){
				this.price++
			},
			sub(){
				this.price--;
			},
			addFrom(i){
				this.stopsInfo[i].price_from++;
				jQuery('#updateFrom' + i).text(this.stopsInfo[i].price_from);
			},
			subFrom(i){
				this.stopsInfo[i].price_from--;
				jQuery('#updateFrom' + i).text(this.stopsInfo[i].price_from);
			},
			addTo(i){
				this.stopsInfo[i].price_to++;
				jQuery('#updateTo' + i).text(this.stopsInfo[i].price_to);
				console.log(this.stopsInfo[i].price_from);
			},
			subTo(i){
				this.stopsInfo[i].price_to--;
				jQuery('#updateTo' + i).text(this.stopsInfo[i].price_to);
				console.log(this.stopsInfo[i].price_to);
			},
		}
	}
</script>